Package org.eclipse.microprofile.metrics

## Interface Histogram

All Superinterfaces:
  `Counting`, `Metric`, `Sampling`

    public interface Histogram
    extends Metric, Sampling, Counting

A metric which calculates the distribution of a value.

See Also:
  Accurately computing running variance

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getCount()` Returns the number of values recorded.
`Snapshot` `getSnapshot()` Returns a snapshot of the values.
`long` `getSum()` Returns the sum of values recorded.
`void` `update​(int value)` Adds a recorded value.
`void` `update​(long value)` Adds a recorded value.

### Method Detail

#### update

    void update​(int value)

Adds a recorded value.

Parameters:
  `value` - the length of the value

#### update

    void update​(long value)

Adds a recorded value.

Parameters:
  `value` - the length of the value

#### getCount

    long getCount()

Returns the number of values recorded.

Specified by:
  `getCount` in interface `Counting`
Returns:
  the number of values recorded

#### getSum

    long getSum()

Returns the sum of values recorded.

Returns:
  the sum of values recorded

#### getSnapshot

    Snapshot getSnapshot()

Description copied from interface: `Sampling`
Returns a snapshot of the values.

Specified by:
  `getSnapshot` in interface `Sampling`
Returns:
  a snapshot of the values